search benchmarks
curl --request GET \
--url https://console.vast.ai/api/v0/benchmarks \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.vast.ai/api/v0/benchmarks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.vast.ai/api/v0/benchmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"contract_id": 123,
"id": 123,
"image": "<string>",
"last_update": 123,
"machine_id": 123,
"model": "<string>",
"name": "<string>",
"num_gpus": 123,
"score": 123
}
]{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=3.0"
}Search
search benchmarks
Retrieve benchmark data based on search parameters.
CLI Usage: vastai search benchmarks
GET
/
api
/
v0
/
benchmarks
search benchmarks
Authorizations
API key must be provided in the Authorization header
Query Parameters
Search query string to filter benchmarks.
Response
Success response
ID of instance/contract reporting benchmark
Benchmark unique ID
Image used for benchmark
Date of benchmark
ID of machine benchmarked
Name of model used in benchmark
Name of benchmark
Number of GPUs used in benchmark
Benchmark score result
⌘I